Вопросы по Arch Linux (XFCE)

vovchok
disabled
Включите сервис
$ systemctl enable cups
Created symlink /etc/systemd/system/printer.target.wants/cups.service → /usr/lib/systemd/system/cups.service.
Created symlink /etc/systemd/system/multi-user.target.wants/cups.service → /usr/lib/systemd/system/cups.service.
Created symlink /etc/systemd/system/sockets.target.wants/cups.socket → /usr/lib/systemd/system/cups.socket.
Created symlink /etc/systemd/system/multi-user.target.wants/cups.path → /usr/lib/systemd/system/cups.path.
$ systemctl start cups
$ sudo cnsetuputil2
Web интерфейс на 631 порту заработал. Принтера cnsetuputil2 по прежнему пока не видит...

Через web интерфейс принтер таки установил, после чего и в cnsetuputil2 он появился, но не печатает:
MF4018-1 "cfFilterGhostscript: cfFilterGhostscript: Unable to launch Ghostscript: gs: No such file or directory"

Установил ghostscript - печать пошла... Переходим к сканированию... Сканирует!

Спасибо за помощь!
Ryzen5600/A520M/16Gb/NVMe500Gb/RX6600m/XFCE/6.7.0-arch3-1
Всё было хорошо до сегодняшнего дня... сегодня чёрт дёрнул запустить "sudo pacman -Syyu" и начались проблемы...
Среди прочего перестал работать мобильный интернет, похоже из-за отсутствия в новом ядре (6.9.3-arch1-1) драйвера модема:
12d1:1446 Huawei Technologies Co., Ltd. HSPA modem
В NetworkManager пропало мобильное соединение и при его создании вместо воткнутого модема пишет AnyDevice без возможности выбрать имеющийся модем...
Как с этим бороться? Можно ли добавить в систему драйвер модема, или вернуть старое ядро, где он был?
Ryzen5600/A520M/16Gb/NVMe500Gb/RX6600m/XFCE/6.7.0-arch3-1
vovchok
из-за отсутствия в новом ядре (6.9.3-arch1-1) драйвера модема
Драйвер вайфая (у меня - mt7615e) сломался уже на ядре 6.9.1, вот я сам сижу на 6.8.9 и жду, когда ошибку исправят. Попробуйте зайти на систему через archiso и откатить ядро и хэдеры до версий 6.8.9, или ниже, если понадобится.

mount /dev/корневой_раздел /mnt
mkdir /mnt/boot
mount /dev/бут_раздел /mnt/boot
arch-chroot /mnt
ПОДНЯТЬ СЕТЬ, если не поднимется сама
yay -S downgrade
downgrade linux linux-headers

A вообще, по моему впечатлению, обновляться надо либо каждый день потихонечку, видя каждый обновляемый пакет (а значит, шанс понять, что поломало систему, очень высок) - либо не обновляться никогда. Обновление раз в полгода-год-два обязательно сопровождается какой-то хренотенью. Обязательно. И когда обновляется 200 пакетов вместо 5-ти - это полный хаос, уже не говоря о том, сколько времени это занимает. Плюс, когда обновляешься ежедневно, по одной ступеньке в версии пакетов, сразу понятно, на какую версию откатываться в случае поломки - на предыдущую.
yurius
не обновляться никогда
тогда невозможно ничего установить - в репе нет нужных зависимостей...
Ryzen5600/A520M/16Gb/NVMe500Gb/RX6600m/XFCE/6.7.0-arch3-1
 
Зарегистрироваться или войдите чтобы оставить сообщение.